from pandas import read_csv
import pandas as pd
from urllib.request import urlretrieve
from os import listdir, mkdir, path as os_path
from tqdm import tqdm
from time import sleep
import numpy as np

# but : enlever les lignes avec le champ "file-name" non remplis (car alors il n'est pas possible de télécharger les fichiers)

df = read_csv("birds_france.csv")
df1 = df.copy(deep=True)
i = 0
for row in tqdm(df1.iterrows(), total=df1.shape[0]):
    print(row[1]["file-name"], type(row[1]["file-name"]))
    if pd.isnull(row[1]["file-name"]):
        df = df.drop(i)
    else:
        if not os_path.exists('audio_files_france/'+str(row[1]["id"]) +
                              row[1]["file-name"][-4:].lower()):
            df = df.drop(i)
            print('audio_files_france/'+str(row[1]["id"]) +
                  row[1]["file-name"][-4:].lower())
    i += 1

print('ok')

df.to_csv("updated_birds_france.csv", index=False)
